package com.ruoyi.system.service.zb;

import com.github.pagehelper.PageInfo;
import com.ruoyi.system.domain.zb.request.SpecialWorkSaveRequest;
import com.ruoyi.system.domain.zb.vo.SpecialWorkVO;

/**
 * * Author: brenda
 * * 2025/1/7
 **/
public interface SpecialWorkService {

    void save(SpecialWorkSaveRequest request);

    void delete(String id);

    void update(SpecialWorkSaveRequest request);

    SpecialWorkVO detail(String id);

    PageInfo<SpecialWorkVO> page(String title, String username, String type, String userId);
}
